<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPERain.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d31/_p_p_e_rain_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPERain.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d31/_p_p_e_rain_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d9a/class_p_p_e_rain.html">PPERain</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#af4304a8ec9a40fbc6de65fdb1c414350">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#af4304a8ec9a40fbc6de65fdb1c414350">PARAM_DROPDISTANCE</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#aba55e2d4b6bcccd20b25d7987ad514c7">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aba55e2d4b6bcccd20b25d7987ad514c7">PARAM_DROPSIZEX</a> = 1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a285e56b2db52cab583787ecf429e631d">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a285e56b2db52cab583787ecf429e631d">PARAM_DROPSIZEY</a> = 2;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a21bce30c0273bcd520cf620e0b7c214c">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a21bce30c0273bcd520cf620e0b7c214c">PARAM_RAINFOGGINESS</a> = 3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a4cc93a35b4ca3d512c0e66e4a80e68a4">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a4cc93a35b4ca3d512c0e66e4a80e68a4">PARAM_RAINDENSITY</a> = 4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a72a55ad09d83e6d0cc467103873c1b6d">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a72a55ad09d83e6d0cc467103873c1b6d">PARAM_FOGCOLORMULT</a> = 5;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#af6ee71678aa52e541c467f70cd22ca33">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#af6ee71678aa52e541c467f70cd22ca33">PARAM_BCKGRNDCOLORMULT</a> = 6;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#ac7dd8313168788a26fc8f26a31aedd38">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#ac7dd8313168788a26fc8f26a31aedd38">PARAM_REFRACTIONSCALE</a> = 7;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a56de34ba7e4e393419a0e36c6ad4fb2b">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a56de34ba7e4e393419a0e36c6ad4fb2b">PARAM_SUNVISIBLE</a> = 8;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#aece2e60261ef077e78c6329160308e96">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aece2e60261ef077e78c6329160308e96">PARAM_GODRAYINTNEAR</a> = 9;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a291456e4ec6cf88ccb0147862e823059">   14</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a291456e4ec6cf88ccb0147862e823059">PARAM_GODRAYINTFAR</a> = 10;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a29b270486f04030a292c2ee4af14d463">   15</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a29b270486f04030a292c2ee4af14d463">PARAM_RIPPLESBLEND</a> = 11;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#aa652a8cee46f15f482c858b9ecc400e6">   16</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aa652a8cee46f15f482c858b9ecc400e6">PARAM_RIPPLESDIST</a> = 12;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a7b9a08eba505eddc9fc28321c52aa44b">   17</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a7b9a08eba505eddc9fc28321c52aa44b">PARAM_SPEED</a> = 13;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#ab061f6187dda093f433f3be6ca74347c">   18</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#ab061f6187dda093f433f3be6ca74347c">PARAM_DISTANTSPEED</a> = 14;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a871eba4dce68eab9a4cc92ab068e5922">   19</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a871eba4dce68eab9a4cc92ab068e5922">PARAM_WINDAFFECTSPEED</a> = 15;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#aad98bee1ef7f87c11cfc62fb1bf8913c">   20</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aad98bee1ef7f87c11cfc62fb1bf8913c">PARAM_MINDIVERGENCE</a> = 16;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#afac04be2d20e37f2fe2960811509f9c3">   21</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#afac04be2d20e37f2fe2960811509f9c3">PARAM_MAXDIVERGENCE</a> = 17;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a6499495cc54a51659f166e3054e7716e">   22</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a6499495cc54a51659f166e3054e7716e">PARAM_WINDSPEEDFORMAXDIV</a> = 18;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">    static const int PARAM_DROPREFRACTIONTEX = 19;</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">    static const int PARAM_DISTANTTEX = 20;</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">    static const int PARAM_ROTNOISEMAP = 21;</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">    static const int PARAM_RIPPLEMAP = 22;</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">    static const int PARAM_MOVMAP = 23;</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">    static const int PARAM_MOVNOISEMAP = 24;</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">    static const int PARAM_SUNMASKMAT = 25;</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment">    */</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a58ed8691550d7412f1c70abafb86ebb3">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d9a/class_p_p_e_rain.html#a58ed8691550d7412f1c70abafb86ebb3">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.Rain;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#abf0329d1f133e954a31f6f20cc640299">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d6/d9a/class_p_p_e_rain.html#abf0329d1f133e954a31f6f20cc640299">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/rain&quot;</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d6/d9a/class_p_p_e_rain.html#a3d25b79fe1480b939e41d2c46d22de82">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9a/class_p_p_e_rain.html#a3d25b79fe1480b939e41d2c46d22de82">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#af4304a8ec9a40fbc6de65fdb1c414350">PARAM_DROPDISTANCE</a>,<span class="stringliteral">&quot;DropDistance&quot;</span>,1.45,0.0,100.0);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aba55e2d4b6bcccd20b25d7987ad514c7">PARAM_DROPSIZEX</a>,<span class="stringliteral">&quot;DropSizeX&quot;</span>,0.003,0.0,100.0);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a285e56b2db52cab583787ecf429e631d">PARAM_DROPSIZEY</a>,<span class="stringliteral">&quot;DropSizeY&quot;</span>,0.075,0.0,100.0);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a21bce30c0273bcd520cf620e0b7c214c">PARAM_RAINFOGGINESS</a>,<span class="stringliteral">&quot;RainFogginess&quot;</span>,0.5,0.0,5.0);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a4cc93a35b4ca3d512c0e66e4a80e68a4">PARAM_RAINDENSITY</a>,<span class="stringliteral">&quot;RainDensity&quot;</span>,1.0,0.0,5.0);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a72a55ad09d83e6d0cc467103873c1b6d">PARAM_FOGCOLORMULT</a>,<span class="stringliteral">&quot;FogColorMultiplier&quot;</span>,0.5,0.0,5.0);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#af6ee71678aa52e541c467f70cd22ca33">PARAM_BCKGRNDCOLORMULT</a>,<span class="stringliteral">&quot;BackgroundColorMultiplier&quot;</span>,1.1,0.0,5.0);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#ac7dd8313168788a26fc8f26a31aedd38">PARAM_REFRACTIONSCALE</a>,<span class="stringliteral">&quot;RefractionScale&quot;</span>,0.01,0.0,1.0);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a56de34ba7e4e393419a0e36c6ad4fb2b">PARAM_SUNVISIBLE</a>,<span class="stringliteral">&quot;SunVisible&quot;</span>,1.0,0.0,1.0);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aece2e60261ef077e78c6329160308e96">PARAM_GODRAYINTNEAR</a>,<span class="stringliteral">&quot;GodRayIntensityNear&quot;</span>,1.5,0.0,50.0);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a291456e4ec6cf88ccb0147862e823059">PARAM_GODRAYINTFAR</a>,<span class="stringliteral">&quot;GodRayIntensityFar&quot;</span>,1.2,0.0,50.0);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a29b270486f04030a292c2ee4af14d463">PARAM_RIPPLESBLEND</a>,<span class="stringliteral">&quot;RipplesBlend&quot;</span>,50.0,0.0,250.0);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aa652a8cee46f15f482c858b9ecc400e6">PARAM_RIPPLESDIST</a>,<span class="stringliteral">&quot;RipplesDist&quot;</span>,100.0,0.0,250.0);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a7b9a08eba505eddc9fc28321c52aa44b">PARAM_SPEED</a>,<span class="stringliteral">&quot;Speed&quot;</span>,10.0,0.0,50.0);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#ab061f6187dda093f433f3be6ca74347c">PARAM_DISTANTSPEED</a>,<span class="stringliteral">&quot;DistantSpeed&quot;</span>,16.0,0.0,100.0);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a871eba4dce68eab9a4cc92ab068e5922">PARAM_WINDAFFECTSPEED</a>,<span class="stringliteral">&quot;WindAffectsSpeed&quot;</span>,0.02,0.0,10.0);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#aad98bee1ef7f87c11cfc62fb1bf8913c">PARAM_MINDIVERGENCE</a>,<span class="stringliteral">&quot;MinDivergence&quot;</span>,0.005,0.0,1.0);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#afac04be2d20e37f2fe2960811509f9c3">PARAM_MAXDIVERGENCE</a>,<span class="stringliteral">&quot;MaxDivergence&quot;</span>,0.03,0.0,1.0);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d6/d9a/class_p_p_e_rain.html#a6499495cc54a51659f166e3054e7716e">PARAM_WINDSPEEDFORMAXDIV</a>,<span class="stringliteral">&quot;WindSpeedForMaxDivergence&quot;</span>,10.0,0.0,100.0);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="comment">/*RegisterParameterTexture(PARAM_DROPREFRACTIONTEX,&quot;DropRefractionTex&quot;,&quot;{3D95A4E49ACDDE5}graphics/textures/postprocess/drop_refraction.edds&quot;);</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">        RegisterParameterTexture(PARAM_DISTANTTEX,&quot;DistantTex&quot;,&quot;{3435F57626D5A6DB}graphics/textures/postprocess/raindistantmask.edds&quot;);</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="comment">        RegisterParameterTexture(PARAM_ROTNOISEMAP,&quot;RotationNoiseMap&quot;,&quot;{7B4F4B4EE2566E84}graphics/textures/postprocess/noise.edds&quot;);</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="comment">        RegisterParameterTexture(PARAM_RIPPLEMAP,&quot;RipplesMap&quot;,&quot;{59E25B3D2EB94B}graphics/textures/postprocess/ripple.edds&quot;);</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="comment">        RegisterParameterTexture(PARAM_MOVMAP,&quot;MovableMap&quot;,&quot;{EBF63DBBED7D8}graphics/textures/postprocess/rainripplesmovable.edds&quot;);</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="comment">        RegisterParameterTexture(PARAM_MOVNOISEMAP,&quot;MovableNoiseMap&quot;,&quot;{2E275BD75961FA54}graphics/textures/postprocess/rainripplesmovablenoise.edds&quot;);*/</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="comment">//RegisterParameterResource(PARAM_SUNMASKMAT,&quot;SunMaskMat&quot;,&quot;{FAF56DD689E895BE}Graphics/Materials/postprocess/godrayssunmask.emat&quot;);</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>}</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html">PPERain</a></div><div class="ttdoc">Rain - PostProcessEffectType.Rain.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00002">PPERain.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a21bce30c0273bcd520cf620e0b7c214c"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a21bce30c0273bcd520cf620e0b7c214c">PPERain::PARAM_RAINFOGGINESS</a></div><div class="ttdeci">static const int PARAM_RAINFOGGINESS</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00007">PPERain.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a285e56b2db52cab583787ecf429e631d"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a285e56b2db52cab583787ecf429e631d">PPERain::PARAM_DROPSIZEY</a></div><div class="ttdeci">static const int PARAM_DROPSIZEY</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00006">PPERain.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a291456e4ec6cf88ccb0147862e823059"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a291456e4ec6cf88ccb0147862e823059">PPERain::PARAM_GODRAYINTFAR</a></div><div class="ttdeci">static const int PARAM_GODRAYINTFAR</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00014">PPERain.c:14</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a29b270486f04030a292c2ee4af14d463"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a29b270486f04030a292c2ee4af14d463">PPERain::PARAM_RIPPLESBLEND</a></div><div class="ttdeci">static const int PARAM_RIPPLESBLEND</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00015">PPERain.c:15</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a3d25b79fe1480b939e41d2c46d22de82"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a3d25b79fe1480b939e41d2c46d22de82">PPERain::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00043">PPERain.c:43</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a4cc93a35b4ca3d512c0e66e4a80e68a4"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a4cc93a35b4ca3d512c0e66e4a80e68a4">PPERain::PARAM_RAINDENSITY</a></div><div class="ttdeci">static const int PARAM_RAINDENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00008">PPERain.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a56de34ba7e4e393419a0e36c6ad4fb2b"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a56de34ba7e4e393419a0e36c6ad4fb2b">PPERain::PARAM_SUNVISIBLE</a></div><div class="ttdeci">static const int PARAM_SUNVISIBLE</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00012">PPERain.c:12</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a58ed8691550d7412f1c70abafb86ebb3"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a58ed8691550d7412f1c70abafb86ebb3">PPERain::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00033">PPERain.c:33</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a6499495cc54a51659f166e3054e7716e"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a6499495cc54a51659f166e3054e7716e">PPERain::PARAM_WINDSPEEDFORMAXDIV</a></div><div class="ttdeci">static const int PARAM_WINDSPEEDFORMAXDIV</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00022">PPERain.c:22</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a72a55ad09d83e6d0cc467103873c1b6d"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a72a55ad09d83e6d0cc467103873c1b6d">PPERain::PARAM_FOGCOLORMULT</a></div><div class="ttdeci">static const int PARAM_FOGCOLORMULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00009">PPERain.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a7b9a08eba505eddc9fc28321c52aa44b"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a7b9a08eba505eddc9fc28321c52aa44b">PPERain::PARAM_SPEED</a></div><div class="ttdeci">static const int PARAM_SPEED</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00017">PPERain.c:17</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_a871eba4dce68eab9a4cc92ab068e5922"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#a871eba4dce68eab9a4cc92ab068e5922">PPERain::PARAM_WINDAFFECTSPEED</a></div><div class="ttdeci">static const int PARAM_WINDAFFECTSPEED</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00019">PPERain.c:19</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_aa652a8cee46f15f482c858b9ecc400e6"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#aa652a8cee46f15f482c858b9ecc400e6">PPERain::PARAM_RIPPLESDIST</a></div><div class="ttdeci">static const int PARAM_RIPPLESDIST</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00016">PPERain.c:16</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_aad98bee1ef7f87c11cfc62fb1bf8913c"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#aad98bee1ef7f87c11cfc62fb1bf8913c">PPERain::PARAM_MINDIVERGENCE</a></div><div class="ttdeci">static const int PARAM_MINDIVERGENCE</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00020">PPERain.c:20</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_ab061f6187dda093f433f3be6ca74347c"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#ab061f6187dda093f433f3be6ca74347c">PPERain::PARAM_DISTANTSPEED</a></div><div class="ttdeci">static const int PARAM_DISTANTSPEED</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00018">PPERain.c:18</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_aba55e2d4b6bcccd20b25d7987ad514c7"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#aba55e2d4b6bcccd20b25d7987ad514c7">PPERain::PARAM_DROPSIZEX</a></div><div class="ttdeci">static const int PARAM_DROPSIZEX</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00005">PPERain.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_abf0329d1f133e954a31f6f20cc640299"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#abf0329d1f133e954a31f6f20cc640299">PPERain::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00038">PPERain.c:38</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_ac7dd8313168788a26fc8f26a31aedd38"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#ac7dd8313168788a26fc8f26a31aedd38">PPERain::PARAM_REFRACTIONSCALE</a></div><div class="ttdeci">static const int PARAM_REFRACTIONSCALE</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00011">PPERain.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_aece2e60261ef077e78c6329160308e96"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#aece2e60261ef077e78c6329160308e96">PPERain::PARAM_GODRAYINTNEAR</a></div><div class="ttdeci">static const int PARAM_GODRAYINTNEAR</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00013">PPERain.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_af4304a8ec9a40fbc6de65fdb1c414350"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#af4304a8ec9a40fbc6de65fdb1c414350">PPERain::PARAM_DROPDISTANCE</a></div><div class="ttdeci">static const int PARAM_DROPDISTANCE</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00004">PPERain.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_af6ee71678aa52e541c467f70cd22ca33"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#af6ee71678aa52e541c467f70cd22ca33">PPERain::PARAM_BCKGRNDCOLORMULT</a></div><div class="ttdeci">static const int PARAM_BCKGRNDCOLORMULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00010">PPERain.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_rain_html_afac04be2d20e37f2fe2960811509f9c3"><div class="ttname"><a href="../../d6/d9a/class_p_p_e_rain.html#afac04be2d20e37f2fe2960811509f9c3">PPERain::PARAM_MAXDIVERGENCE</a></div><div class="ttdeci">static const int PARAM_MAXDIVERGENCE</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d31/_p_p_e_rain_8c_source.html#l00021">PPERain.c:21</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../d0/d31/_p_p_e_rain_8c.html">PPERain.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
